Bug 57769 - Link /usr/bin/vi to /usr/bin/vim
Summary: Link /usr/bin/vi to /usr/bin/vim
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: vim   
(Show other bugs)
Version: 7.1
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-12-21 18:54 UTC by Richard Henderson
Modified: 2007-03-27 03:50 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-12-21 18:54:14 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Richard Henderson 2001-12-21 18:54:09 UTC
Between 7.0 and 7.1, the binary named "vi" lost the ability
to do split screen.  I can understand the desire to have
vim-minimal be small, but I also want the vi in a full install
to be able to handle this.

Therefore I suggest that the vim-enhanced package include a
link from /usr/bin/vi to /usr/bin/vim.  If /usr is mounted,
the normal PATH will search /usr/bin before /bin and all will
be happy.  If /usr is not mounted, then /bin/vi will exist for
whatever emergency is being delt with.

Comment 1 Bernhard Rosenkraenzer 2002-01-09 16:53:37 UTC
vim 6.0-x takes care of this by adding a /etc/profile.d/vim.{sh,csh} that
sets a proper alias.

Can't guarantee it'll stay in, though - I've done it several times before just to be overruled ("when I type vi I want vi and no bloat, dammit, typing an extra letter isn't too much work").




Note You need to log in before you can comment on or make changes to this bug.